//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	CoordinateFrame.cc	--- implementation of CoordinateFrame classes
//
//	DESCRIPTION:
//
//	CHANGE HISTORY:
//		UL, 1999-03-08: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers, Mon Mar  8 12:27:21 MET 1999
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /usr/local/cvs/sasdev/sas/packages/caloalutils/src/CoordinateFrame.cc,v 1.2 2002/05/24 12:46:05 ulammers Exp $
//

#include "CoordinateFrame.h"

void CoordinateFrame::complete()
{
	_plusZ = crossProd(_plusX, _plusY);
} // CoordinateFrame::complete()


CartesianVector CoordinateFrame::project(const CartesianVector &v) const
{
	return CartesianVector(v * _plusX, v * _plusY, v * _plusZ);
} // CoodinateFrame::project()
