//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	DalUtils.h --- some high-level Dal utility functions
//
//	DESCRIPTION:
//		Classes in here implement simple Dal utility functions.
//		Might be moved to a central repository for these kind of things
//		in the SAS at a later stage
//
//	CHANGE HISTORY:
//		UL, 1999-04-19: 1.0.0: - first version
//
//	AUTHOR:
//		U. Lammers, Mon Apr 19 10:30:29 MET DST 1999
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al.,
//
//	$Header: /data/xmm02/cvsadmin/soc_repos/sas/packages/caloalutils/src/DalUtils.h,v 1.2 2001/07/04 13:51:20 ulammers Exp $
//

#ifndef DAL_UTILS_H
#define DAL_UTILS_H

#include <string>
#include "Dal.h"

namespace DalUtils {

	class AttributeNotFound {};

	const Attribute *attribute(const std::vector<const Attributable *>
																	&attribVec,
							   const std::string &attribName);

} // DalUtils

#endif
