!
!   odfdesignator.f90 --- test odfdesignator stuff
!
!   DESCRIPTION:
!       Intended to the correctness of F90 I/F to class OdfDesignator
!
!   CHANGE HISTORY:
!       UL, 2002-01-08: 1.0.0: - first version
!
!   AUTHOR:
!       U. Lammers, Tue Jan  8 17:55:38 MET 2002
!
!   $Header: /data/xmm02/cvsadmin/soc_repos/sas/packages/caloalutils/test/odfdesignator.f90,v 1.1 2002/01/08 17:22:48 ulammers Exp $
!  
program odfdesignator
use caloaldefs
use odfdesignators
use errorhandling

    implicit none

    type(InstrumentExposureIdentifierT)     :: id
    id = instrumentExposureIdentifier('R1U571')
    if (instrument(id) /= RGS1) &
        call error('odfdesignator', 'wrong instrument')
    if (.not. scheduleFlagApplicable(id)) &
        call error('odfdesignator', 'schedule flag not applicable')
    if (scheduled(id)) &
        call error('odfdesignator', 'scheduled')
    if (.not. unscheduled(id)) &
        call error('odfdesignator', 'scheduled')
    if (exposureNumber(id) /= 571) &
        call error('odfdesignator', 'wrong exposure number')
    if (exposureId(id) /= 'U571') &
        call error('odfdesignator', 'wrong exposure id')
    if (instrumentExposureId(id) /= 'R1U571') &
        call error('odfdesignator', 'wrong instr/exposure id')

    write(*, *) 'All tests sucessfully passed'
end program




