//
//	test XmmOrbitSimulator
//
//	UL, Fri Jun 11 16:29:13 MET DST 1999
//

#include <iostream>
#include "Xmm.h"
#include "common.h"

int main()
{
	const double delta = 1000.;	//	1000s
	const unsigned N = UNT(2.*2.*86400./delta) + 1;

	XmmOrbitSimulator orbitSim;

	double t0 = Xmm::toTimeTag(Xmm::missionStartTime);
	for (unsigned n=0; n<N; ++n) {
		double t = n*delta;
		CartesianVector r = orbitSim.position(t+t0),
						v = orbitSim.velocity(t+t0);
		std::cout<<n<<" "<<t+t0<<" ("<<Xmm::missionStartTime + t<<") : pos="
				 <<r.x()<<"/"<<r.y()<<"/"<<r.z()<<" - vel="
				 <<v.x()<<"/"<<v.y()<<"/"<<v.z()<<std::endl;
	}

	return 0;
}
